DECLARE structure struct1: 3 OF NUMERIC
declare structure struct2: NUMERIC(10)
DECLARE shared shar OF struct2
!DECLARE shared SH OF struct1
DECLARE shared sa(2 TO 10, 12) OF struct1
paract par1
DECLARE NUMERIC a,b,c
DECLARE NUMERIC m(10)
DECLARE NUMERIC i
FOR i=1 TO 10
   LET m(i)=i^2
NEXT i
start par2
LET a=1
LET b=2
LET c=3
put TO shar from m
SIGNAL ok1
WAIT event ok2
get from sa(2,a) TO a,b,c
PRINT a,b,c
END PARACT

paract par2
DECLARE NUMERIC x,y,z
DECLARE NUMERIC m(10)
LET x=11
LET y=12
LET z=13
PUT TO sa(2,1) FROM x,y,z
signal ok2
WAIT EVENT ok1
GET from shar TO m
MAT PRINT m
END paract

